Skip to content
POST/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/data

Update submission data

Updates the form data of an application submission

Required permissions:

  • mandate.read

  • applicationSubmission.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
applicationSubmissionIdstringrequired

Request Body required

Content-Type: application/json

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/data
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/data' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "submission": {
    "schema": [
      {
        "id": "string",
        "label": "string",
        "fields": [
          {
            "id": "string",
            "type": "placeholder"
          }
        ]
      }
    ],
    "data": {}
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}